Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans
Interface Partitioner

All Known Implementing Classes:
  BasePartitioner, ModPartitioner

    public interface Partitioner

Method Summary
`Partitioner` | `clone()`
`String` | `getDescription()`
`String` | `getDialogClassName()`
`String` | `getId()`
`Partitioner` | `getInstance()`
`int` | `getPartition(org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] r)`
`String` | `getXML()`
`void` | `loadRep(Repository rep, long id_step)`
`void` | `loadXML(Node partitioningMethodNode)`
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Saves partitioning properties in the repository for the given step.
`void` | `setDescription(String description)`
`void` | `setId(String id)`
`void` | `setMeta(StepPartitioningMeta meta)`

Method Detail

### getInstance

    Partitioner getInstance()

### getPartition

    int getPartition(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                     Object[] r)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### setMeta

    void setMeta(StepPartitioningMeta meta)

### getId

    String getId()

### getDescription

    String getDescription()

### setId

    void setId(String id)

### setDescription

    void setDescription(String description)

### getDialogClassName

    String getDialogClassName()

### clone

    Partitioner clone()

### getXML

    String getXML()

### loadXML

    void loadXML(Node partitioningMethodNode)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### saveRep

    void saveRep(Repository rep,
                 long id_transformation,
                 long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Saves partitioning properties in the repository for the given step.

  Parameters:
    `rep` - the repository to save in
    `id_transformation` - the ID of the transformation
    `id_step` - the ID of the step
  Throws:
    `org.pentaho.di.core.exception.KettleDatabaseException` - In case anything goes wrong
    `org.pentaho.di.core.exception.KettleException`

### loadRep

    void loadRep(Repository rep,
                 long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD